Summary:	An fdisk-like partitioning tool for GPT disks
Summary(pl.UTF-8):	Podobne do fdiska narzędzie do partycjonowania dysków GPT
Name:		gdisk
Version:	0.8.7
Release:	5
License:	GPL v2
Group:		Base
Source0:	http://downloads.sourceforge.net/gptfdisk/gptfdisk-%{version}.tar.gz
# Source0-md5:	005b45c0b37c37a99024704fdb2ee610
Patch0:		%{name}-link.patch
URL:		http://www.rodsbooks.com/gdisk/
BuildRequires:	libicu-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-devel
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GPT fdisk (gdisk) is an fdisk-like partitioning tool for GPT disks.
It features a command-line interface, fairly direct manipulation of
partition table structures, recovery tools to help you deal with
corrupt partition tables, and the ability to convert MBR disks to GPT
format.

%description -l pl.UTF-8
GPT fdisk (gdisk) to podobne do fdiska narzędzie do partycjonowania
dysków GPT. Ma interfejs linii poleceń, w miarę bezpośrednie operacje
na strukturach tablicy partycji, narzędzia pomagające przy naprawie
uszkodzonych tablic partycji oraz możliwość konwersji dysków MBR do
formatu GPT.

%prep
%setup -q -n gptfdisk-%{version}
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags} %{rpmcppflags} -D_FILE_OFFSET_BITS=64 -DUSE_UTF16 -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}
install -p gdisk sgdisk fixparts $RPM_BUILD_ROOT%{_sbindir}
cp -p gdisk.8 sgdisk.8 fixparts.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_sbindir}/fixparts
%attr(755,root,root) %{_sbindir}/gdisk
%attr(755,root,root) %{_sbindir}/sgdisk
%{_mandir}/man8/fixparts.8*
%{_mandir}/man8/gdisk.8*
%{_mandir}/man8/sgdisk.8*
%changelog
* Tue Jul 14 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/gdisk.git;a=log;h=master

* Mon Jun 01 2015 Elan Ruusamäe <glen@delfi.ee> 342195d
- icu rebuild
- release 5 (by relup.sh)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 982d185
- x32 rebuild
- release 4 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ab58f5
- release 3 (by relup.sh)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e80b5e
- release 2 (by relup.sh)

* Sat Sep 28 2013 Jan Palus <jan.palus@gmail.com> f4b709c
- up to 0.8.7

* Fri Apr 12 2013 Jakub Bogusz <qboosh@pld-linux.org> cae4a82
- added link patch (fixes build with -Wl,--no-copy-dt-needed-entries)
- avoid disabling Unicode support
- pl

* Sun Mar 24 2013 Jan Palus <jan.palus@gmail.com> 84a650f
- up to 0.8.6

* Thu Sep 20 2012 Jan Rękorajski <baggins@pld-linux.org> f292706
- updated to 0.8.5

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 802e33a
- release 3 (by relup.sh)

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4897cdf
- release 2

* Wed Jul 20 2011 Elan Ruusamäe <glen@pld-linux.org> 598dda2
- md5

* Tue Jul 19 2011 Elan Ruusamäe <glen@pld-linux.org> 8b98eef
- package fixparts

* Tue Jul 19 2011 Elan Ruusamäe <glen@pld-linux.org> e057bdb
- new, based on fc spec

